%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")


Summary:	Python tool for malware analysis

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		pyew
Version:	2.3.0.0
Release:	1%{?dist}
URL:		https://code.google.com/p/pyew/

License:	GPL

Group:		Applications/Forensics Tools
Source:		%{name}-%{version}.tar.gz
Patch1:		%{name}-%{version}-patch-001

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	%(basename %{__python})
BuildRequires:	%(basename %{__python})-setuptools
Requires:	capstone-%(basename %{__python})

%description
Pyew is a (command line) python tool to analyse malware. It does have support
for hexadecimal viewing, disassembly (Intel 16, 32 and 64 bits), PE and ELF
file formats (it performs code analysis and let you write scripts using an
API to perform many types of analysis), follows direct call/jmp instructions
in the interactive command line, displays function names and string data
references; supports OLE2 format, PDF format and more. It also supports
plugins to add more features to the tool.


%prep
%setup 
%patch1 -p1

%build
echo Nothing to build
printenv

%install
%{__install} -m755 -d %{buildroot}%{python_sitelib}/%{name}
cp -rp . %{buildroot}%{python_sitelib}/%{name}
%{__install} -m755 -d %{buildroot}/%{_libdir}
%{__install} -m755 -d %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << 'EOF'
#!/bin/sh
exec %{__python} %{python_sitelib}/%{name}/%{name}.py "$@"
EOF
cd %{buildroot}%{python_sitelib}/%{name}
touch __init__.py
rm -rf .hg lib .git
rm  AUTHORS COPYING ChangeLog LICENSE pyew pyew.bat pyew.kpf contrib/scripting.txt logo/pyew.jpg scripts/sample_runme

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING ChangeLog LICENSE contrib/scripting.txt logo/pyew.jpg scripts/sample_runme
%attr(755, root, root)	%{_bindir}/%{name}
%{python_sitelib}/%{name}

%changelog
* Wed Mar 29 2017 Lawrence R. Rogers <lrr@cert.org> 2.3.0.0-1
* Release 2.3.0.0-1
	This is version 2.3.0.0 retrieved on 2017-03-29.
